| Qore GoogleCalendarDataProvider Module Reference 2.0

Loading...
Searching...
No Matches
Protected Member Functions | Protected Attributes | Static Protected Attributes | List of all members
GoogleCalendarDataProvider::GoogleCalendarDataProviderFactory Class Reference

The Google data provider factory: `google`. More...

`#include <GoogleCalendarDataProviderFactory.qc.dox.h>`

## Protected Member Functions
Qore::Reflection::Class | getClassImpl ()
| Returns the class for the data provider object.
hash< DataProvider::DataProviderFactoryInfo > | getInfoImpl ()
| Returns static factory information without provider_info.
hash< DataProvider::DataProviderInfo > | getProviderInfoImpl ()
| Returns static provider information.

## Protected Attributes
const | FactoryInfo = ...
| Factory info.

## Static Protected Attributes
static Class | cls = new Class("GoogleCalendarBaseDataProvider")
| Data provider type info.

## Detailed Description

The Google data provider factory: `google`.

## Member Function Documentation

## ◆ getInfoImpl()

hash< DataProvider::DataProviderFactoryInfo > GoogleCalendarDataProvider::GoogleCalendarDataProviderFactory::getInfoImpl | ( |  | ) |
| protected

Returns static factory information without provider_info.

Returns
  static factory information without provider_info which is provided by getProviderInfo()

## ◆ getProviderInfoImpl()

hash< DataProvider::DataProviderInfo > GoogleCalendarDataProvider::GoogleCalendarDataProviderFactory::getProviderInfoImpl | ( |  | ) |
| protected

Returns static provider information.

Note
  the `name` and `children` attributes are not returned as they are dynamic attributes